package com.zg.project.information.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zg.project.information.mapper.ConstructionTeamMapper;
import com.zg.project.information.domain.ConstructionTeam;
import com.zg.project.information.service.IConstructionTeamService;

/**
 * 施工队信息Service业务层处理
 * 
 * @author zg
 * @date 2025-06-09
 */
@Service
public class ConstructionTeamServiceImpl implements IConstructionTeamService 
{
    @Autowired
    private ConstructionTeamMapper constructionTeamMapper;

    /**
     * 查询施工队信息
     * 
     * @param id 施工队信息主键
     * @return 施工队信息
     */
    @Override
    public ConstructionTeam selectConstructionTeamById(Long id)
    {
        return constructionTeamMapper.selectConstructionTeamById(id);
    }

    /**
     * 查询施工队信息列表
     * 
     * @param constructionTeam 施工队信息
     * @return 施工队信息
     */
    @Override
    public List<ConstructionTeam> selectConstructionTeamList(ConstructionTeam constructionTeam)
    {
        return constructionTeamMapper.selectConstructionTeamList(constructionTeam);
    }

    /**
     * 新增施工队信息
     * 
     * @param constructionTeam 施工队信息
     * @return 结果
     */
    @Override
    public int insertConstructionTeam(ConstructionTeam constructionTeam)
    {
        return constructionTeamMapper.insertConstructionTeam(constructionTeam);
    }

    /**
     * 修改施工队信息
     * 
     * @param constructionTeam 施工队信息
     * @return 结果
     */
    @Override
    public int updateConstructionTeam(ConstructionTeam constructionTeam)
    {
        return constructionTeamMapper.updateConstructionTeam(constructionTeam);
    }

    /**
     * 批量删除施工队信息
     * 
     * @param ids 需要删除的施工队信息主键
     * @return 结果
     */
    @Override
    public int deleteConstructionTeamByIds(Long[] ids)
    {
        return constructionTeamMapper.deleteConstructionTeamByIds(ids);
    }

    /**
     * 删除施工队信息信息
     * 
     * @param id 施工队信息主键
     * @return 结果
     */
    @Override
    public int deleteConstructionTeamById(Long id)
    {
        return constructionTeamMapper.deleteConstructionTeamById(id);
    }
}
